<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_news
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$item = $displayData['item'];
$exfield = $displayData['exfield'];
$id = $displayData['id'];
//Valor of 'id' in modules $module->id, in categorys and Item $this->item->id
?>
<?php
// Video
$video_id = $exfield->get('video_id');
$video_privider = $exfield->get('video_provider');
if ($exfield->get('type')=='video') :?>
	<?php
	switch ($video_privider) {
		case 'youtube':
			$video_src = 'https://www.youtube.com/embed/'.$video_id;
			break;
		case 'vimeo':
			$video_src = 'https://player.vimeo.com/video/'.$video_id;
			break;
	} ?>
	<div class="article-featured-video">
		<div class="ratio ratio-16x9">
			<iframe src="<?php echo $video_src; ?>" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
		</div>
	</div>
<?php endif; ?>
<?php
//Audio
if ($exfield->get('type')=='audio') :?>
	<div class="article-featured-audio">
		<div class="ratio ratio-16x9">
			<?php 
			$audio_embed = $exfield->get('audio_embed');
			$search = array('/width="100%"/', '/frameborder="no"/', '/scrolling="no"/');
			$replace = array('');
			echo preg_replace($search, $replace, $audio_embed);?>
		</div>
	</div>
<?php endif; ?>
<?php
//Gallery   
if ($exfield->get('type')=='gallery') {
	//Decode Extra Images
	$gallery = $exfield->get('image_gallery');
	?>
	<div class="article-feature-gallery">
		<div id="article-feature-gallery-<?php echo $id; ?>" class="carousel slide" data-ride="carousel">
			<div class="carousel-inner" role="listbox">
				<?php foreach ( $gallery as $key => $item ) : ?>
					<div class="carousel-item<?php echo ($key==='image_gallery0') ? ' active': ''; ?>">
						<img src="<?php echo $item->image; ?>" alt="">
					</div>
				<?php endforeach; ?>
			</div>

			<button class="carousel-control-prev" data-bs-target="#article-feature-gallery-<?php echo $id; ?>" type="button" data-bs-slide="prev">
				<span class="carousel-control-prev-icon" aria-hidden="true"></span>
				<span class="visually-hidden">Previous</span>
			</button>

			<button class="carousel-control-next" data-bs-target="#article-feature-gallery-<?php echo $id; ?>" type="button" data-bs-slide="next">
				<span class="carousel-control-next-icon" aria-hidden="true"></span>
				<span class="visually-hidden">Next</span>
			</button>
		</div>
	</div>

<?php };?>
<?php
//Link Type
if ($exfield->get('type')=='link') :?>
	<div class="article-feature-link">
		<a href="<?php echo $exfield->get('link_url');?>" target="<?php echo $exfield->get('link_target');?>"><?php echo $exfield->get('link_text');?></a>
	</div>
<?php endif; ?>
<?php
//Quote Type
if ($exfield->get('type')=='quote') :?>
	<div class="article-feature-quote">
		<blockquote>
			<p><?php echo $exfield->get('quote_text');?></p>
			<footer><?php echo $exfield->get('quote_author');?></footer>
		</blockquote>
	</div>
<?php endif; ?>
